---
apiVersion: operators.coreos.com/v1
kind: Operator
metadata:
  creationTimestamp: "2025-10-27T13:11:07Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec: {}
    manager: olm
    operation: Update
    time: "2025-10-27T13:11:07Z"
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:components:
          .: {}
          f:labelSelector: {}
          f:refs: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-29T13:03:20Z"
  name: redhat-oadp-operator.openshift-adp
  resourceVersion: "2208903"
  uid: aaf406dc-8989-4b8b-84bd-a23ebe1ade67
spec: {}
status:
  components:
    labelSelector:
      matchExpressions:
      - key: operators.coreos.com/redhat-oadp-operator.openshift-adp
        operator: Exists
    refs:
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: oadp-operator.v1.5.2-4FLbGPJ1L41GOR1nSY2aZcmyMLsITExdwBu660
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: oadp-operator.v1.5.2-7eVAhVUjBB7stxwyeVp3WIRGjK1bkINdpPhA3w
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: oadp-operator.v1.5.2-bkCJkBn49xiPliPvmdZqySPMus9fuJ9n5i5x6D
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: oadp-operator.v1.5.2-4FLbGPJ1L41GOR1nSY2aZcmyMLsITExdwBu660
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: oadp-operator.v1.5.2-7eVAhVUjBB7stxwyeVp3WIRGjK1bkINdpPhA3w
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: oadp-operator.v1.5.2-bkCJkBn49xiPliPvmdZqySPMus9fuJ9n5i5x6D
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T13:11:54Z"
        lastUpdateTime: "2025-10-27T13:11:54Z"
        message: install strategy completed with no errors
        reason: InstallSucceeded
        status: "True"
        type: Succeeded
      kind: ClusterServiceVersion
      name: oadp-operator.v1.5.2
      namespace: openshift-adp
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: backuprepositories.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: backups.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: backupstoragelocations.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cloudstorages.oadp.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:59Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:59Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: datadownloads.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: dataprotectionapplications.oadp.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:59Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:59Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: dataprotectiontests.oadp.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: datauploads.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: deletebackuprequests.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: downloadrequests.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nonadminbackups.oadp.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nonadminbackupstoragelocationrequests.oadp.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nonadminbackupstoragelocations.oadp.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nonadmindownloadrequests.oadp.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nonadminrestores.oadp.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: podvolumebackups.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:57Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: podvolumerestores.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:59Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:59Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: restores.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:59Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:59Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: schedules.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: serverstatusrequests.velero.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:40:58Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: volumesnapshotlocations.velero.io
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2025-10-27T13:11:54Z"
        lastUpdateTime: "2025-10-27T13:11:54Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      - lastTransitionTime: "2025-10-27T13:11:43Z"
        lastUpdateTime: "2025-10-27T13:11:54Z"
        message: ReplicaSet "openshift-adp-controller-manager-64c59d7cf9" has successfully
          progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      kind: Deployment
      name: openshift-adp-controller-manager
      namespace: openshift-adp
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T13:11:30Z"
        lastUpdateTime: "2025-10-27T13:11:30Z"
        status: "True"
        type: Installed
      kind: InstallPlan
      name: install-pr4ts
      namespace: openshift-adp
    - apiVersion: operators.coreos.com/v2
      kind: OperatorCondition
      name: oadp-operator.v1.5.2
      namespace: openshift-adp
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: oadp-operator.v1.5.2-ope-2Tj25EvxwtGSTlMofvs5zdDXanleG15f0Men7W
      namespace: openshift-adp
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: oadp-operator.v1.5.2-ope-2Tj25EvxwtGSTlMofvs5zdDXanleG15f0Men7W
      namespace: openshift-adp
    - apiVersion: v1
      kind: Service
      name: openshift-adp-controller-manager-metrics-service
      namespace: openshift-adp
    - apiVersion: v1
      kind: ServiceAccount
      name: non-admin-controller
      namespace: openshift-adp
    - apiVersion: v1
      kind: ServiceAccount
      name: openshift-adp-controller-manager
      namespace: openshift-adp
    - apiVersion: v1
      kind: ServiceAccount
      name: velero
      namespace: openshift-adp
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-29T13:03:20Z"
        message: all available catalogsources are healthy
        reason: AllCatalogSourcesHealthy
        status: "False"
        type: CatalogSourcesUnhealthy
      kind: Subscription
      name: redhat-oadp-operator
      namespace: openshift-adp
